import 'package:flutter_test/flutter_test.dart';

import 'package:flutter_easybus/flutter_easybus.dart';

void main() {
  test('adds one to input values', () {
    // final calculator = Calculator();
    // expect(calculator.addOne(2), 3);
    // expect(calculator.addOne(-7), -6);
    // expect(calculator.addOne(0), 1);
    simple();
    normal();
    EasyBus().simpleSend("key123", {'name':'lisa'});
    EasyBus().send(BusTest(bus: {'name':'easyBus'}));
    EasyBus().free<BusTest>();
  });
}

void normal() async{
  EventSubscription subscription=  EasyBus().on<BusTest>().listen((arg) {
     print("normal listen ${arg.bus}"   );
   });
  subscription.free();
   var busTest= await EasyBus().on<BusTest>().wait();
   print("wait listen ${busTest.bus}");
}

class BusTest{
 late Map bus;
 BusTest({required this.bus});
}
void simple() async{
  EasyBus().simpleOn().listen((arg) {
    print("simple listen ${arg.key}"   );
  });
  EasyBus().simpleOn().wait().then((arg) {
    print("simple then ${arg.key}"   );
  });
 var result= await  EasyBus().simpleOn().wait();
  print(result.key);


}

